Subject: Re: kernel ported from ELDK 3.0 hangs (loops in idled()) on my custom MPC870 Board

From: Edward Hong <[email-masked]>
Date: Mon, 6 Jun 2005 14:00:09 -0600

On 6/6/05, Randy Vinson <[email-masked]> wrote:
>=20
> Hi Edward,
>   I've seen these symptoms before. The problem was traced to external
> interrupts being disabled (MSR[EE] not set). Without external
> interrupts, there is no decrementer interrupt (at least on 7xx
> processors). Without the decrementer, there in no system clock tick and
> without the clock tick, the scheduler won't run which means that the
> init task won't start. To verify that this is the problem, use mfmsr()
> to get the MSR and print it. I'd suggest that you add something like:
>=20
>     printk("MSR =3D %x\n", mfmsr());
>
I got  MSR =3D 9032 just before cpu_idle which means EE (the most
significant bit) was enabled.

Thank you!

Edward